import numpy
import matplotlib.pyplot as plt
plt.rcParams['xtick.labelsize']=25
plt.rcParams['ytick.labelsize']=25
plt.rcParams['axes.labelsize']=25
plt.rcParams['axes.labelsize']=25

infile = numpy.load("results/iterations.npy")
values = infile.item()

lists = sorted(values.items()) # sorted by key, return a list of tuples

x, y = zip(*lists) # unpack a list of pairs into two tuples
fig = plt.figure(figsize=(20,7.5))
plt.xlabel("Ipopt iterations")
plt.ylabel("Functional value")
plt.grid()
x_i=[5*i for i in range(8)]
plt.gca().set_xlim(0,40)
plt.plot(numpy.array(x), -1*numpy.array(y))
plt.savefig("J_iterations.pdf")
